Package org.apache.commons.collections4.iterators

# Class EmptyMapIterator<K,V>

java.lang.Object
org.apache.commons.collections4.iterators.AbstractEmptyMapIterator<K,V>
org.apache.commons.collections4.iterators.EmptyMapIterator<K,V>

Type Parameters:
  `K` - the type of keys
  `V` - the type of mapped values

All Implemented Interfaces:
  `Iterator<K>`, `MapIterator<K,V>`, `ResettableIterator<K>`

public class EmptyMapIterator<K,V> extends AbstractEmptyMapIterator<K,V> implements MapIterator<K,V>
Provides an implementation of an empty map iterator.

Since:
  3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MapIterator`
  `INSTANCE`
  Singleton instance of the iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyMapIterator()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(K ignored)`
  Deprecated.
  Will be removed in 5.0 without replacement.
  `static <K, V> MapIterator<K,V>`
  `emptyMapIterator()`
  Gets a typed instance of the iterator.
  `boolean`
  `hasNext()`
  Always returns false, this iterator contains no elements.
  `boolean`
  `hasPrevious()`
  Always returns false, this iterator contains no elements.
  `K`
  `next()`
  Always throws IllegalStateException, this iterator contains no elements.
  `int`
  `nextIndex()`
  Always returns 0, this iterator contains no elements.
  `K`
  `previous()`
  Always throws IllegalStateException, this iterator contains no elements.
  `int`
  `previousIndex()`
  Always returns -1, this iterator contains no elements.
  `void`
  `remove()`
  Always throws IllegalStateException, this iterator contains no elements.
  `void`
  `reset()`
  Resets the iterator back to the position at which the iterator was created.
  `void`
  `set(K ignored)`
  Always throws IllegalStateException, this iterator contains no elements.

  ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractEmptyMapIterator

  `getKey, getValue, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface org.apache.commons.collections4.MapIterator

  `getKey, getValue, hasNext, next, remove, setValue`

- ## Field Details

  - ### INSTANCE

    public static final MapIterator INSTANCE
    Singleton instance of the iterator.
    Since:
      3.1

- ## Constructor Details

  - ### EmptyMapIterator

    protected EmptyMapIterator()
    Constructs a new instance.

- ## Method Details

  - ### emptyMapIterator

    public static <K, V> MapIterator<K,V> emptyMapIterator()
    Gets a typed instance of the iterator.
    Type Parameters:
      `K` - the key type
      `V` - the value type
    Returns:
      `MapIterator`<K, V>

  - ### add

    @Deprecated public void add(K ignored)
    Deprecated.
    Will be removed in 5.0 without replacement.
    Always throws UnsupportedOperationException.
    Parameters:
      `ignored` - ignore.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### hasNext

    public boolean hasNext()
    Always returns false, this iterator contains no elements.
    Specified by:
      `hasNext` in interface `Iterator<E>`
    Returns:
      Always false.

  - ### hasPrevious

    public boolean hasPrevious()
    Always returns false, this iterator contains no elements.
    Returns:
      Always false.

  - ### next

    public K next()
    Always throws IllegalStateException, this iterator contains no elements.
    Specified by:
      `next` in interface `Iterator<E>`
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### nextIndex

    public int nextIndex()
    Always returns 0, this iterator contains no elements.
    Returns:
      Always returns 0.

  - ### previous

    public K previous()
    Always throws IllegalStateException, this iterator contains no elements.
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### previousIndex

    public int previousIndex()
    Always returns -1, this iterator contains no elements.
    Returns:
      Always returns -1.

  - ### remove

    public void remove()
    Always throws IllegalStateException, this iterator contains no elements.
    Specified by:
      `remove` in interface `Iterator<E>`
    Throws:
      `IllegalStateException` - Always thrown.

  - ### reset

    public void reset()
    Description copied from interface: `ResettableIterator`
    Resets the iterator back to the position at which the iterator was created.
    Specified by:
      `reset` in interface `ResettableIterator<E>`

  - ### set

    public void set(K ignored)
    Always throws IllegalStateException, this iterator contains no elements.
    Parameters:
      `ignored` - ignored.
    Throws:
      `IllegalStateException` - Always thrown.